Bug 110796 - bad source code
Summary: bad source code
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: im-sdk   
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Yu Shao
QA Contact:
URL:
Whiteboard:
Keywords: MoveUpstream
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-24 16:14 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-05 23:18:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2003-11-24 16:14:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:


I just tried to compile package im-sdk-11_4-1 from Fedora.

The compiler said

1.

utf16_ct.c(232): remark #592: variable "high" is used before its 
value is set
utf16_ct.c(233): remark #592: variable "low" is used before its value 
is set

The source code is

                        *(op++) = high;
                        *(op++) = low;

Do you mean high7 instead of high, and low7 instead of low ?



Version-Release number of selected component (if applicable):
im-sdk-11_4-1 

How reproducible:
Always

Steps to Reproduce:
1. by inspection
2.
3.
    

Additional info:

Comment 1 David Binderman 2004-11-20 10:03:59 UTC
I can confirm that this bug still exists in Fedora Core 3.


Note You need to log in before you can comment on or make changes to this bug.